<ion-header style="position: unset;" class="header-moblie">
  <!-- <ion-icon name="chevron-back-outline" class="back-icon"></ion-icon> -->
  <div class="login-page">
    <img class="img-logo" src="/assets/images/aBull Logo new1.png">
    <h3>Register</h3>
  </div>
  <!-- <ion-toolbar>
    <ion-title>register</ion-title>
  </ion-toolbar> -->
</ion-header>

<ion-content class="ion-text-center">

  <ion-row class="ion-justify-content-evenly">


    <ion-col size="7.5" sizeLg="7.5" class="web-img vertical-line ion-align-self-end">
      <div class="web-logo">
        <img class="img-logo" src="/assets/images/aBull Logo new1.png">
      </div>
      <div class="ion-margin-vertical page-img">
        <img src="../../assets/images/Component 5 – 1@2x.png" alt="">
      </div>
    </ion-col>

    <ion-col size="12" sizeLg="3.5" sizeSm="12" class="ion-align-self-start scroll-d" style="height: 96vh; overflow: auto;">
      <div class="group-input">
        <h1 class="web-title"> <b>Register</b> </h1>
        <ion-item lines="none" class="float-left">
          <ion-label class="label-title" position="stacked">First Name <sup
              style="color: #ff0003;font-size: 20px; top: 0;">*</sup> </ion-label>
          <ion-input type="text" id="fName" [(ngModel)]="firstName" required="true" #fName="ngModel"> </ion-input>
        </ion-item>
        <div *ngIf="fName.invalid && fName.dirty" class="alert alert-danger">

          <div *ngIf="fName.errors.required">
            <ion-text color="danger">
              <small> First name is required.</small>
            </ion-text>

          </div>

        </div>
        <ion-item lines="none">
          <ion-label class="label-title" position="stacked">Last Name</ion-label>
          <ion-input type="text" id="lName" [(ngModel)]="lastName" required="true" #lName="ngModel"> </ion-input>
        </ion-item>
        <ion-item lines="none">
          <ion-label class="label-title" position="stacked">Phone Number <sup
              style="color: #ff0003;font-size: 20px; top: 0;">*</sup></ion-label>
          <ion-input type="number" id="cellNumber" [(ngModel)]="mobileNumber" required="true" #cellNumber="ngModel">
          </ion-input>
        </ion-item>
        <div *ngIf="cellNumber.invalid && cellNumber.dirty" class="alert alert-danger">

          <div *ngIf="cellNumber.errors.required">
            <ion-text color="danger">
              <small> Mobile number is required.</small>
            </ion-text>

          </div>

        </div>
        <ion-item lines="none">
          <ion-label class="label-title" position="stacked">Email Address <sup
              style="color: #ff0003;font-size: 20px; top: 0;">*</sup></ion-label>
          <ion-input type="email" pattern="^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+.[a-zA-Z0-9-.]+$" name="email"
            [(ngModel)]="userEmail" required="true" #email="ngModel">

          </ion-input>
        </ion-item>
        <div *ngIf="email.invalid && email.dirty" class="alert alert-danger">

          <div *ngIf="email.errors.required">
            <ion-text color="danger">
              <small> email is required.</small>
            </ion-text>

          </div>

          <div *ngIf="email.errors.pattern">
            <ion-text color="danger">
              <small>
                Please enter a valid email</small>
            </ion-text>
          </div>

        </div>
        <ion-item lines="none">
          <ion-label class="label-title" position="stacked">Country</ion-label>
          <ion-select okText="Okay" cancelText="Dismiss" [(ngModel)]="selectedCountry">
            <ion-select-option *ngFor="let item of countries" [value]="item">{{item}} </ion-select-option>
          </ion-select>
        </ion-item>
        <ion-item lines="none">
          <ion-label class="label-title" position="stacked">Date Of Birth</ion-label>
          <ion-input type="date" [max]="CurrentDate" id="dOB" [(ngModel)]="dateOfBirth" required="true" #dOB="ngModel">
          </ion-input>
        </ion-item>

      </div>
      <div class="check-box ion-text-center ion-margin-top">
        <ion-checkbox style="width: 15px; height: 15px;" required="true" [(ngModel)]="terms"></ion-checkbox> <span> By Creating an account
          you agree to the <a class="color-400" href="">terms of use</a>and our<a class="color-400" href="">
            privacy policy.</a></span>
      </div>
      <div class="ion-text-center">

        <ion-button class="btn-style" color="warning" (click)="signUp()">Submit</ion-button>

      </div>
      <div class="section-border"><h2>Or</h2></div>
      <!-- <div style="margin-top: 40px;">

        <div class="flex-box">
          <div class="social-icons" (click)="('FACEBOOK')">
            <img src="../../assets/images/NoPath.png" alt="google">
          </div>
          <div class="social-icons" (click)="('INSTAGRAM')">
            <img src="../../assets/icon/instagram-color.svg" alt="">
          </div>
          <div class="social-icons" (click)="('TWITTER')">
            <img src="../../assets/icon/facebook-color.svg" alt="">

          </div>
          <div class="social-icons" (click)="('YOUTUBE')">
            <img src="../../assets/icon/linkedin-color.svg" alt="">
          </div>
        </div>
      </div> -->
      <div class="ion-text-center ion-padding text-center">Already have an account?
        <span><a class="color-400" routerLink="/login">Login Now</a></span>
      </div>
    </ion-col>


  </ion-row>


  <ion-footer class="ion-border-top">
    <ion-toolbar>
      <ion-title class="ion-text-center " style="font-size: .8rem; color: #0000006B;">Copyright &copy;aBull Technologies Private Limited 2021
      </ion-title>
    </ion-toolbar>
  </ion-footer>
</ion-content>